curl --request POST \
--url 'https://api.payroc.com/v1/processing-accounts/{processingAccountId}/terminal-orders' \
--header 'Authorization: Bearer <access-token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <uuid>' \
--data '{
"orderItems": [
{
"deviceCondition": "new",
"solutionQuantity": 1,
"solutionSetup": {
"applicationSettings": {
"clerkPrompt": false,
"security": {
"keyedSalePassword": false,
"refundPassword": true,
"reversalPassword": true
}
},
"batchClosure": {
"batchCloseTime": "23:40",
"batchCloseType": "automatic"
},
"deviceSettings": {
"communicationType": "wifi",
"numberOfMobileUsers": 2
},
"gatewaySettings": {
"merchantPortfolioId": "Company Ltd",
"merchantTemplateId": "Company Ltd Merchant Template",
"terminalTemplateId": "Company Ltd Terminal Template",
"userTemplateId": "Company Ltd User Template"
},
"industryTemplateId": "Retail",
"receiptNotifications": {
"emailReceipt": true,
"smsReceipt": false
},
"taxes": [
{
"taxLabel": "Sales Tax",
"taxRate": 6
}
],
"timezone": "America/Chicago",
"tips": {
"enabled": false
},
"tokenization": true
},
"solutionTemplateId": "Roc Services_DX8000",
"type": "solution"
}
],
"paymentIntent": {
"costBreakdown": {
"items": [
{
"name": "dx8000",
"quantity": 1,
"unitCost": 4999
}
],
"shippingCost": 599
},
"payment": {
"frequency": {
"type": "singlePayment"
},
"method": "hostedPaymentPage",
"payer": "merchant"
},
"paymentIntentType": "purchase",
"subTotal": 5598
},
"shipping": {
"address": {
"addressLine1": "1 Example Ave.",
"addressLine2": "Example Address Line 2",
"businessName": "Company Ltd",
"city": "Chicago",
"email": "example@mail.com",
"phone": "2025550164",
"postalCode": "60056",
"recipientName": "Sarah Hopper",
"state": "Illinois"
},
"preferences": {
"method": "nextDay",
"saturdayDelivery": true
}
},
"trainingProvider": "payroc"
}'